// fake/user.fake.ts
import { defineFakeRoute } from 'vite-plugin-fake-server/client';

let fail = !false;
export default defineFakeRoute([
  {
    timeout: 2000,
    method: 'POST',
    url: '/fake/upload',
    response: (_, __, res) => {
      fail = !fail;
      if (fail) {
        res.statusCode = 500;
        return {
          error: 'Upload failed',
        };
      }

      return {
        url: 'https://picsum.photos/200/300',
      };
    },
  },
]);
